> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detail

> Get full detail for a skill by slug.

Tries native DB first, then external sources. Test-user authored skills
are hidden from public callers but visible to their own author.



## OpenAPI

````yaml /openapi.json get /v1/detail/{slug}
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/detail/{slug}:
    get:
      tags:
        - detail
      summary: Get Detail
      description: |-
        Get full detail for a skill by slug.

        Tries native DB first, then external sources. Test-user authored skills
        are hidden from public callers but visible to their own author.
      operationId: get_detail_v1_detail__slug__get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
        - name: source
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedDetailResponse'
        '404':
          description: Skill not found, or hidden from this caller
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UnifiedDetailResponse:
      properties:
        source:
          type: string
          title: Source
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        long_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Long Description
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        price_cents:
          type: integer
          title: Price Cents
          default: 0
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        security_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Security Status
        security_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Security Score
        trust_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Trust Level
        download_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Download Count
        view_count:
          type: integer
          title: View Count
          default: 0
        install_count:
          type: integer
          title: Install Count
          default: 0
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        archived_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Archived At
        author:
          anyOf:
            - $ref: '#/components/schemas/AuthorSummary'
            - type: 'null'
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        source_downloads:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Downloads
        source_stars:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Stars
        source_comments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Comments
        source_versions_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Versions Count
        source_installs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Installs
        rating_average:
          anyOf:
            - type: number
            - type: 'null'
          title: Rating Average
        rating_count:
          type: integer
          title: Rating Count
          default: 0
        ap_security_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Ap Security Status
        ap_security_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ap Security Score
        ap_scan_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Ap Scan Hash
        ap_scanned_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Ap Scanned At
      type: object
      required:
        - source
        - slug
        - title
        - description
      title: UnifiedDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuthorSummary:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        github_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Github Username
        display_name_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name Slug
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        verified:
          type: boolean
          title: Verified
          default: false
      type: object
      title: AuthorSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````